<?php

namespace App\Modelos;

use Core\Database;

class Tipodocumentos extends Database
{
    protected $table = 'app_tipo_documentos';
    protected $id = 'tipodoc_id';

    public function modificarTodosLosPredeterminado($id, $estatus)
    {
        return $this->consultar("UPDATE app_tipo_documentos SET tipodoc_predeterminado=$estatus WHERE tipodoc_id!=$id")->run();
    }

    public function esUsadoPorClientes($id_tipodoc)
    {
        return $this->consultar("SELECT cli_id FROM app_clientes WHERE cli_tipodocid=$id_tipodoc")->all();
    }
}
